# eric7.Preferences.ConfigurationPages.InterfacePage

Module implementing the Interface configuration page.

### Global Attributes

None

### Classes

InterfacePage | Class implementing the Interface configuration page.

### Functions

create | Module function to create the configuration page.

## InterfacePage

Class implementing the Interface configuration page.

### Derived from

ConfigurationPageBase, Ui_InterfacePage

### Class Attributes

None

### Class Methods

None

### Methods

InterfacePage | Constructor
__populateLanguageCombo | Private method to initialize the language combo box.
__populateStyleCombo | Private method to populate the style combo box.
__setIconBarSamples | Private slot to set the colors of the icon bar color samples.
on_combinedLeftRightSidebarCheckBox_toggled | Private slot handling a change of the combined sidebars checkbox.
on_iconBarButton_clicked | Private slot to select the icon bar color.
on_resetLayoutButton_clicked | Private method to reset layout to factory defaults.
save | Public slot to save the Interface configuration.

### Static Methods

None

#### InterfacePage (Constructor)

InterfacePage()

Constructor

#### InterfacePage.__populateLanguageCombo

__populateLanguageCombo()

Private method to initialize the language combo box.

#### InterfacePage.__populateStyleCombo

__populateStyleCombo()

Private method to populate the style combo box.

#### InterfacePage.__setIconBarSamples

__setIconBarSamples()

Private slot to set the colors of the icon bar color samples.

#### InterfacePage.on_combinedLeftRightSidebarCheckBox_toggled

on_combinedLeftRightSidebarCheckBox_toggled(checked)

Private slot handling a change of the combined sidebars checkbox.

checked (bool)
  state of the checkbox

#### InterfacePage.on_iconBarButton_clicked

on_iconBarButton_clicked()

Private slot to select the icon bar color.

#### InterfacePage.on_resetLayoutButton_clicked

on_resetLayoutButton_clicked()

Private method to reset layout to factory defaults.

#### InterfacePage.save

save()

Public slot to save the Interface configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Return:
  reference to the instantiated page (ConfigurationPageBase)

Up